## GstPlayerVideoOverlayVideoRenderer

GstPlayerVideoOverlayVideoRenderer — Player Video Overlay Video Renderer

## Functions

GstPlayerVideoRenderer * | gst_player_video_overlay_video_renderer_new ()
GstPlayerVideoRenderer * | gst_player_video_overlay_video_renderer_new_with_sink ()
gpointer | gst_player_video_overlay_video_renderer_get_window_handle ()
void | gst_player_video_overlay_video_renderer_set_window_handle ()
void | gst_player_video_overlay_video_renderer_expose ()
void | gst_player_video_overlay_video_renderer_get_render_rectangle ()
void | gst_player_video_overlay_video_renderer_set_render_rectangle ()

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

## Functions

### gst_player_video_overlay_video_renderer_new ()

    GstPlayerVideoRenderer *
    gst_player_video_overlay_video_renderer_new
                                   (gpointer window_handle);

#### Parameters

window_handle | Window handle to use or `NULL`. | [allow-none]

#### Returns

.

[transfer full]

### gst_player_video_overlay_video_renderer_new_with_sink ()

    GstPlayerVideoRenderer *
    gst_player_video_overlay_video_renderer_new_with_sink
                                   (gpointer window_handle,
                                    GstElement *video_sink);

#### Parameters

window_handle | Window handle to use or `NULL`. | [allow-none]
video_sink | the custom video_sink element to be set for the video renderer. | [transfer floating]

#### Returns

Since 1.12.

[transfer full]

### gst_player_video_overlay_video_renderer_get_window_handle ()

    gpointer
    gst_player_video_overlay_video_renderer_get_window_handle
                                   (GstPlayerVideoOverlayVideoRenderer *self);

#### Parameters

self | GstPlayerVideoRenderer instance |

#### Returns

The currently set, platform specific window handle.

[transfer none]

### gst_player_video_overlay_video_renderer_set_window_handle ()

    void
    gst_player_video_overlay_video_renderer_set_window_handle
                                   (GstPlayerVideoOverlayVideoRenderer *self,
                                    gpointer window_handle);

Sets the platform specific window handle into which the video should be rendered

#### Parameters

self | GstPlayerVideoRenderer instance |
window_handle | handle referencing to the platform specific window |

### gst_player_video_overlay_video_renderer_expose ()

    void
    gst_player_video_overlay_video_renderer_expose
                                   (GstPlayerVideoOverlayVideoRenderer *self);

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

#### Parameters

self | a GstPlayerVideoOverlayVideoRenderer instance. |

### gst_player_video_overlay_video_renderer_get_render_rectangle ()

    void
    gst_player_video_overlay_video_renderer_get_render_rectangle
                                   (GstPlayerVideoOverlayVideoRenderer *self,
                                    gint *x,
                                    gint *y,
                                    gint *width,
                                    gint *height);

Return the currently configured render rectangle. See `gst_player_video_overlay_video_renderer_set_render_rectangle()` for details.

#### Parameters

self | a GstPlayerVideoOverlayVideoRenderer instance |
x | the horizontal offset of the render area inside the window. | [out][allow-none]
y | the vertical offset of the render area inside the window. | [out][allow-none]
width | the width of the render area inside the window. | [out][allow-none]
height | the height of the render area inside the window. | [out][allow-none]

### gst_player_video_overlay_video_renderer_set_render_rectangle ()

    void
    gst_player_video_overlay_video_renderer_set_render_rectangle
                                   (GstPlayerVideoOverlayVideoRenderer *self,
                                    gint x,
                                    gint y,
                                    gint width,
                                    gint height);

Configure a subregion as a video target within the window set by `gst_player_video_overlay_video_renderer_set_window_handle()`. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call `gst_player_video_overlay_video_renderer_expose()` to force a redraw. To unset the region pass -1 for the `width` and `height` parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

#### Parameters

self | a GstPlayerVideoOverlayVideoRenderer instance |
x | the horizontal offset of the render area inside the window |
y | the vertical offset of the render area inside the window |
width | the width of the render area inside the window |
height | the height of the render area inside the window |

## Types and Values